(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["sp"] = factory();
	else
		root["sp"] = factory();
})(this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./api/apiObject.js":
/*!**************************!*\
  !*** ./api/apiObject.js ***!
  \**************************/
/*! exports provided: apiObj */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"apiObj\", function() { return apiObj; });\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib/env */ \"./lib/env.js\");\n/* harmony import */ var _device_getNetworkType__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./device/getNetworkType */ \"./api/device/getNetworkType.js\");\n/* harmony import */ var _device_getSystemInfo__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./device/getSystemInfo */ \"./api/device/getSystemInfo.js\");\n/* harmony import */ var _device_rotateScreen__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./device/rotateScreen */ \"./api/device/rotateScreen.js\");\n/* harmony import */ var _device_resetScreen__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./device/resetScreen */ \"./api/device/resetScreen.js\");\n/* harmony import */ var _device_onActiveChange__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./device/onActiveChange */ \"./api/device/onActiveChange.js\");\n/* harmony import */ var _device_onBack__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./device/onBack */ \"./api/device/onBack.js\");\n/* harmony import */ var _util_scan__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./util/scan */ \"./api/util/scan.js\");\n/* harmony import */ var _navigation_setNavigationBarTitle__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./navigation/setNavigationBarTitle */ \"./api/navigation/setNavigationBarTitle.js\");\n/* harmony import */ var _navigation_setNavigationBarLeftTitle__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./navigation/setNavigationBarLeftTitle */ \"./api/navigation/setNavigationBarLeftTitle.js\");\n/* harmony import */ var _navigation_setNavigationBarColor__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./navigation/setNavigationBarColor */ \"./api/navigation/setNavigationBarColor.js\");\n/* harmony import */ var _navigation_showNavigationBar__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./navigation/showNavigationBar */ \"./api/navigation/showNavigationBar.js\");\n/* harmony import */ var _navigation_hideNavigationBar__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./navigation/hideNavigationBar */ \"./api/navigation/hideNavigationBar.js\");\n/* harmony import */ var _navigation_enableWebViewBounce__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./navigation/enableWebViewBounce */ \"./api/navigation/enableWebViewBounce.js\");\n/* harmony import */ var _navigation_disableWebViewBounce__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./navigation/disableWebViewBounce */ \"./api/navigation/disableWebViewBounce.js\");\n/* harmony import */ var _navigation_setNavigationBarRightButton__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./navigation/setNavigationBarRightButton */ \"./api/navigation/setNavigationBarRightButton.js\");\n/* harmony import */ var _navigation_goBack__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./navigation/goBack */ \"./api/navigation/goBack.js\");\n/* harmony import */ var _fs_openLocalFile__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./fs/openLocalFile */ \"./api/fs/openLocalFile.js\");\n/* harmony import */ var _image_previewImage__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./image/previewImage */ \"./api/image/previewImage.js\");\n/* harmony import */ var _image_chooseImage__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./image/chooseImage */ \"./api/image/chooseImage.js\");\n/* harmony import */ var _image_compressImage__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./image/compressImage */ \"./api/image/compressImage.js\");\n/* harmony import */ var _video_chooseVideo__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./video/chooseVideo */ \"./api/video/chooseVideo.js\");\n/* harmony import */ var _network_uploadFile__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./network/uploadFile */ \"./api/network/uploadFile.js\");\n/* harmony import */ var _network_uploadOssFile__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./network/uploadOssFile */ \"./api/network/uploadOssFile.js\");\n/* harmony import */ var _media_getAudioManager__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./media/getAudioManager */ \"./api/media/getAudioManager.js\");\n/* harmony import */ var _media_getBackgroundAudioManager__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./media/getBackgroundAudioManager */ \"./api/media/getBackgroundAudioManager.js\");\n/* harmony import */ var _media_getRecorderManager__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./media/getRecorderManager */ \"./api/media/getRecorderManager.js\");\n/* harmony import */ var _other_mediaPlay__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./other/mediaPlay */ \"./api/other/mediaPlay.js\");\n/* harmony import */ var _other_startMediaPlay__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./other/startMediaPlay */ \"./api/other/startMediaPlay.js\");\n/* harmony import */ var _other_stopMediaPlay__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./other/stopMediaPlay */ \"./api/other/stopMediaPlay.js\");\n/* harmony import */ var _other_toLogin__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./other/toLogin */ \"./api/other/toLogin.js\");\n/* harmony import */ var _other_toMicro__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./other/toMicro */ \"./api/other/toMicro.js\");\n/* harmony import */ var _other_appShare__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./other/appShare */ \"./api/other/appShare.js\");\n/* harmony import */ var _other_toInvitation__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./other/toInvitation */ \"./api/other/toInvitation.js\");\n/* harmony import */ var _other_selectEnterprise__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./other/selectEnterprise */ \"./api/other/selectEnterprise.js\");\n/* harmony import */ var _navigation_updateTitleRightView__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./navigation/updateTitleRightView */ \"./api/navigation/updateTitleRightView.js\");\n/* harmony import */ var _other_toMicroDetail__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./other/toMicroDetail */ \"./api/other/toMicroDetail.js\");\n/* harmony import */ var _other_resetData__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./other/resetData */ \"./api/other/resetData.js\");\n/* harmony import */ var _other_goBackConfirm__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./other/goBackConfirm */ \"./api/other/goBackConfirm.js\");\n/* harmony import */ var _other_nativeEvent__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./other/nativeEvent */ \"./api/other/nativeEvent.js\");\n/* harmony import */ var _other_showKeyboard__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./other/showKeyboard */ \"./api/other/showKeyboard.js\");\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\n\r\nconst apiObj = {\r\n  getEnv:_lib_env__WEBPACK_IMPORTED_MODULE_0__[\"env\"].getENV,\r\n\r\n  scan: _util_scan__WEBPACK_IMPORTED_MODULE_7__[\"scan\"],\r\n\r\n  getNetworkType: _device_getNetworkType__WEBPACK_IMPORTED_MODULE_1__[\"getNetworkType\"],\r\n  getSystemInfo: _device_getSystemInfo__WEBPACK_IMPORTED_MODULE_2__[\"getSystemInfo\"],\r\n  rotateScreen: _device_rotateScreen__WEBPACK_IMPORTED_MODULE_3__[\"rotateScreen\"],\r\n  resetScreen: _device_resetScreen__WEBPACK_IMPORTED_MODULE_4__[\"resetScreen\"],\r\n  onActiveChange: _device_onActiveChange__WEBPACK_IMPORTED_MODULE_5__[\"onActiveChange\"],\r\n  onBack: _device_onBack__WEBPACK_IMPORTED_MODULE_6__[\"onBack\"],\r\n\r\n  setNavigationBarTitle: _navigation_setNavigationBarTitle__WEBPACK_IMPORTED_MODULE_8__[\"setNavigationBarTitle\"],\r\n  setNavigationBarLeftTitle: _navigation_setNavigationBarLeftTitle__WEBPACK_IMPORTED_MODULE_9__[\"setNavigationBarLeftTitle\"],\r\n  setNavigationBarColor: _navigation_setNavigationBarColor__WEBPACK_IMPORTED_MODULE_10__[\"setNavigationBarColor\"],\r\n  showNavigationBar: _navigation_showNavigationBar__WEBPACK_IMPORTED_MODULE_11__[\"showNavigationBar\"],\r\n  hideNavigationBar: _navigation_hideNavigationBar__WEBPACK_IMPORTED_MODULE_12__[\"hideNavigationBar\"],\r\n  enableWebViewBounce: _navigation_enableWebViewBounce__WEBPACK_IMPORTED_MODULE_13__[\"enableWebViewBounce\"],\r\n  disableWebViewBounce: _navigation_disableWebViewBounce__WEBPACK_IMPORTED_MODULE_14__[\"disableWebViewBounce\"],\r\n  setNavigationBarRightButton: _navigation_setNavigationBarRightButton__WEBPACK_IMPORTED_MODULE_15__[\"setNavigationBarRightButton\"],\r\n  goBack: _navigation_goBack__WEBPACK_IMPORTED_MODULE_16__[\"goBack\"],\r\n\r\n  openLocalFile: _fs_openLocalFile__WEBPACK_IMPORTED_MODULE_17__[\"openLocalFile\"],\r\n\r\n  previewImage: _image_previewImage__WEBPACK_IMPORTED_MODULE_18__[\"previewImage\"],\r\n  chooseImage: _image_chooseImage__WEBPACK_IMPORTED_MODULE_19__[\"chooseImage\"],\r\n  compressImage: _image_compressImage__WEBPACK_IMPORTED_MODULE_20__[\"compressImage\"],\r\n  chooseVideo: _video_chooseVideo__WEBPACK_IMPORTED_MODULE_21__[\"chooseVideo\"],\r\n\r\n  uploadFile: _network_uploadFile__WEBPACK_IMPORTED_MODULE_22__[\"uploadFile\"],\r\n  uploadOssFile: _network_uploadOssFile__WEBPACK_IMPORTED_MODULE_23__[\"uploadOssFile\"],\r\n\r\n  getAudioManager: _media_getAudioManager__WEBPACK_IMPORTED_MODULE_24__[\"getAudioManager\"],\r\n  getRecorderManager: _media_getRecorderManager__WEBPACK_IMPORTED_MODULE_26__[\"getRecorderManager\"],\r\n  getBackgroundAudioManager: _media_getBackgroundAudioManager__WEBPACK_IMPORTED_MODULE_25__[\"getBackgroundAudioManager\"],\r\n  mediaPlay: _other_mediaPlay__WEBPACK_IMPORTED_MODULE_27__[\"mediaPlay\"],\r\n  startMediaPlay: _other_startMediaPlay__WEBPACK_IMPORTED_MODULE_28__[\"startMediaPlay\"],\r\n  stopMediaPlay: _other_stopMediaPlay__WEBPACK_IMPORTED_MODULE_29__[\"stopMediaPlay\"],\r\n  toLogin: _other_toLogin__WEBPACK_IMPORTED_MODULE_30__[\"toLogin\"],\r\n  toMicro: _other_toMicro__WEBPACK_IMPORTED_MODULE_31__[\"toMicro\"],\r\n  appShare: _other_appShare__WEBPACK_IMPORTED_MODULE_32__[\"appShare\"],\r\n  toInvitation: _other_toInvitation__WEBPACK_IMPORTED_MODULE_33__[\"toInvitation\"],\r\n  selectEnterprise: _other_selectEnterprise__WEBPACK_IMPORTED_MODULE_34__[\"selectEnterprise\"],\r\n  updateTitleRightView: _navigation_updateTitleRightView__WEBPACK_IMPORTED_MODULE_35__[\"updateTitleRightView\"],\r\n  toMicroDetail: _other_toMicroDetail__WEBPACK_IMPORTED_MODULE_36__[\"toMicroDetail\"],\r\n  showKeyboard: _other_showKeyboard__WEBPACK_IMPORTED_MODULE_40__[\"showKeyboard\"],\r\n  resetData: _other_resetData__WEBPACK_IMPORTED_MODULE_37__[\"resetData\"],\r\n  goBackConfirm: _other_goBackConfirm__WEBPACK_IMPORTED_MODULE_38__[\"goBackConfirm\"],\r\n  nativeEvent: _other_nativeEvent__WEBPACK_IMPORTED_MODULE_39__[\"nativeEvent\"],\r\n};\r\n\n\n//# sourceURL=webpack://sp/./api/apiObject.js?");

/***/ }),

/***/ "./api/device/getNetworkType.js":
/*!**************************************!*\
  !*** ./api/device/getNetworkType.js ***!
  \**************************************/
/*! exports provided: getNetworkType */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getNetworkType\", function() { return getNetworkType; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"device.getNetworkType\";\r\n\r\nfunction getNetworkType(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/device/getNetworkType.js?");

/***/ }),

/***/ "./api/device/getSystemInfo.js":
/*!*************************************!*\
  !*** ./api/device/getSystemInfo.js ***!
  \*************************************/
/*! exports provided: getSystemInfo */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getSystemInfo\", function() { return getSystemInfo; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"device.getSystemInfo\";\r\n\r\nfunction getSystemInfo(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/device/getSystemInfo.js?");

/***/ }),

/***/ "./api/device/onActiveChange.js":
/*!**************************************!*\
  !*** ./api/device/onActiveChange.js ***!
  \**************************************/
/*! exports provided: onActiveChange */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"onActiveChange\", function() { return onActiveChange; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n\r\n\r\nconst listenerName=\"device.onActiveChange\";\r\n\r\nfunction onActiveChange(listener) {\r\n   return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk().on(listenerName,listener)\r\n}\n\n//# sourceURL=webpack://sp/./api/device/onActiveChange.js?");

/***/ }),

/***/ "./api/device/onBack.js":
/*!******************************!*\
  !*** ./api/device/onBack.js ***!
  \******************************/
/*! exports provided: onBack */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"onBack\", function() { return onBack; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n\r\n\r\nconst listenerName=\"device.onBack\";\r\n\r\nfunction onBack(listener) {\r\n   return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk().on(listenerName,listener)\r\n}\n\n//# sourceURL=webpack://sp/./api/device/onBack.js?");

/***/ }),

/***/ "./api/device/resetScreen.js":
/*!***********************************!*\
  !*** ./api/device/resetScreen.js ***!
  \***********************************/
/*! exports provided: resetScreen */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"resetScreen\", function() { return resetScreen; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"device.resetScreen\";\r\n\r\nfunction resetScreen(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/device/resetScreen.js?");

/***/ }),

/***/ "./api/device/rotateScreen.js":
/*!************************************!*\
  !*** ./api/device/rotateScreen.js ***!
  \************************************/
/*! exports provided: rotateScreen */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"rotateScreen\", function() { return rotateScreen; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"device.rotateScreen\";\r\n\r\nfunction rotateScreen(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/device/rotateScreen.js?");

/***/ }),

/***/ "./api/fs/openLocalFile.js":
/*!*********************************!*\
  !*** ./api/fs/openLocalFile.js ***!
  \*********************************/
/*! exports provided: openLocalFile */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"openLocalFile\", function() { return openLocalFile; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"fs.openLocalFile\";\r\n\r\nfunction openLocalFile(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/fs/openLocalFile.js?");

/***/ }),

/***/ "./api/image/chooseImage.js":
/*!**********************************!*\
  !*** ./api/image/chooseImage.js ***!
  \**********************************/
/*! exports provided: chooseImage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"chooseImage\", function() { return chooseImage; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"image.chooseImage\";\r\n\r\nfunction chooseImage(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  sourceType:\"album\",//album、camera\r\n  sizeType:\"original\",//original、compressed（按80质量压缩）\r\n  count: 1,\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/image/chooseImage.js?");

/***/ }),

/***/ "./api/image/compressImage.js":
/*!************************************!*\
  !*** ./api/image/compressImage.js ***!
  \************************************/
/*! exports provided: compressImage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"compressImage\", function() { return compressImage; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"image.compressImage\";\r\n\r\nfunction compressImage(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/image/compressImage.js?");

/***/ }),

/***/ "./api/image/previewImage.js":
/*!***********************************!*\
  !*** ./api/image/previewImage.js ***!
  \***********************************/
/*! exports provided: previewImage */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"previewImage\", function() { return previewImage; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"image.previewImage\";\r\n\r\nfunction previewImage(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/image/previewImage.js?");

/***/ }),

/***/ "./api/media/getAudioManager.js":
/*!**************************************!*\
  !*** ./api/media/getAudioManager.js ***!
  \**************************************/
/*! exports provided: getAudioManager */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getAudioManager\", function() { return getAudioManager; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiNames = [\r\n  \"audio.play\",\r\n  \"audio.stop\",\r\n  \"audio.pause\",\r\n  \"audio.resume\",\r\n  \"audio.seek\",\r\n];\r\n\r\nconst listenerNames = [\r\n  \"audio.onPlay\",\r\n  \"audio.onStop\",\r\n  \"audio.onPause\",\r\n  \"audio.onEnded\",\r\n  \"audio.onTimeUpdate\",\r\n  \"audio.onError\",\r\n];\r\nconst audioManager={};\r\n\r\napiNames.forEach(apiName=>{\r\n  const name=apiName.split('.')[1]\r\n  const paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({});\r\n  \r\n  const config = {};\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n  \r\n  _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\r\n\r\n  audioManager[name]=function(params){\r\n    return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n  }\r\n})\r\n\r\nlistenerNames.forEach(listenerName=>{\r\n  const name=listenerName.split('.')[1]\r\n  audioManager[name]=function(listener){\r\n    _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk().on(listenerName,listener)\r\n  }\r\n})\r\n\r\nfunction getAudioManager(){\r\n  return audioManager;\r\n}\r\n\n\n//# sourceURL=webpack://sp/./api/media/getAudioManager.js?");

/***/ }),

/***/ "./api/media/getBackgroundAudioManager.js":
/*!************************************************!*\
  !*** ./api/media/getBackgroundAudioManager.js ***!
  \************************************************/
/*! exports provided: getBackgroundAudioManager */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getBackgroundAudioManager\", function() { return getBackgroundAudioManager; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiNames = [\r\n  \"backgroundAudio.play\",\r\n  \"backgroundAudio.stop\",\r\n  \"backgroundAudio.pause\",\r\n  \"backgroundAudio.resume\",\r\n  \"backgroundAudio.seek\",\r\n];\r\n\r\nconst listenerNames = [\r\n  \"backgroundAudio.onPlay\",\r\n  \"backgroundAudio.onStop\",\r\n  \"backgroundAudio.onPause\",\r\n  \"backgroundAudio.onEnded\",\r\n  \"backgroundAudio.onTimeUpdate\",\r\n  \"backgroundAudio.onError\",\r\n];\r\nconst backgroundAudioManager={};\r\n\r\napiNames.forEach(apiName=>{\r\n  const name=apiName.split('.')[1]\r\n  const paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({});\r\n  \r\n  const config = {};\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n  \r\n  _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\r\n\r\n  backgroundAudioManager[name]=function(params){\r\n    return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n  }\r\n})\r\n\r\nlistenerNames.forEach(listenerName=>{\r\n  const name=listenerName.split('.')[1]\r\n  backgroundAudioManager[name]=function(listener){\r\n    _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk().on(listenerName,listener)\r\n  }\r\n})\r\n\r\nfunction getBackgroundAudioManager(){\r\n  return backgroundAudioManager;\r\n}\r\n\n\n//# sourceURL=webpack://sp/./api/media/getBackgroundAudioManager.js?");

/***/ }),

/***/ "./api/media/getRecorderManager.js":
/*!*****************************************!*\
  !*** ./api/media/getRecorderManager.js ***!
  \*****************************************/
/*! exports provided: getRecorderManager */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getRecorderManager\", function() { return getRecorderManager; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiNames = [\r\n  \"recorder.start\",\r\n  \"recorder.stop\",\r\n  \"recorder.pause\",\r\n  \"recorder.resume\",\r\n];\r\n\r\nconst listenerNames = [\r\n  \"recorder.onStart\",\r\n  \"recorder.onStop\",\r\n  \"recorder.onPause\",\r\n  \"recorder.onResume\",\r\n  \"recorder.onError\",\r\n];\r\nconst recorderManager={};\r\n\r\napiNames.forEach(apiName=>{\r\n  const name=apiName.split('.')[1]\r\n  const paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({});\r\n  \r\n  const config = {};\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\n  config[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n  \r\n  _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\r\n\r\n  recorderManager[name]=function(params){\r\n    return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n  }\r\n})\r\n\r\nlistenerNames.forEach(listenerName=>{\r\n  const name=listenerName.split('.')[1]\r\n  recorderManager[name]=function(listener){\r\n    _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk().on(listenerName,listener)\r\n  }\r\n})\r\n\r\nfunction getRecorderManager(){\r\n  return recorderManager;\r\n}\r\n\n\n//# sourceURL=webpack://sp/./api/media/getRecorderManager.js?");

/***/ }),

/***/ "./api/navigation/disableWebViewBounce.js":
/*!************************************************!*\
  !*** ./api/navigation/disableWebViewBounce.js ***!
  \************************************************/
/*! exports provided: disableWebViewBounce */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"disableWebViewBounce\", function() { return disableWebViewBounce; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.disableWebViewBounce\";\r\n\r\nfunction disableWebViewBounce(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/disableWebViewBounce.js?");

/***/ }),

/***/ "./api/navigation/enableWebViewBounce.js":
/*!***********************************************!*\
  !*** ./api/navigation/enableWebViewBounce.js ***!
  \***********************************************/
/*! exports provided: enableWebViewBounce */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"enableWebViewBounce\", function() { return enableWebViewBounce; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.enableWebViewBounce\";\r\n\r\nfunction enableWebViewBounce(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/enableWebViewBounce.js?");

/***/ }),

/***/ "./api/navigation/goBack.js":
/*!**********************************!*\
  !*** ./api/navigation/goBack.js ***!
  \**********************************/
/*! exports provided: goBack */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"goBack\", function() { return goBack; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.goBack\";\r\n\r\nfunction goBack(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/goBack.js?");

/***/ }),

/***/ "./api/navigation/hideNavigationBar.js":
/*!*********************************************!*\
  !*** ./api/navigation/hideNavigationBar.js ***!
  \*********************************************/
/*! exports provided: hideNavigationBar */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"hideNavigationBar\", function() { return hideNavigationBar; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.hideNavigationBar\";\r\n\r\nfunction hideNavigationBar(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/hideNavigationBar.js?");

/***/ }),

/***/ "./api/navigation/setNavigationBarColor.js":
/*!*************************************************!*\
  !*** ./api/navigation/setNavigationBarColor.js ***!
  \*************************************************/
/*! exports provided: setNavigationBarColor */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"setNavigationBarColor\", function() { return setNavigationBarColor; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.setNavigationBarColor\";\r\n\r\nfunction setNavigationBarColor(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/setNavigationBarColor.js?");

/***/ }),

/***/ "./api/navigation/setNavigationBarLeftTitle.js":
/*!*****************************************************!*\
  !*** ./api/navigation/setNavigationBarLeftTitle.js ***!
  \*****************************************************/
/*! exports provided: setNavigationBarLeftTitle */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"setNavigationBarLeftTitle\", function() { return setNavigationBarLeftTitle; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.setNavigationBarLeftTitle\";\r\n\r\nfunction setNavigationBarLeftTitle(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/setNavigationBarLeftTitle.js?");

/***/ }),

/***/ "./api/navigation/setNavigationBarRightButton.js":
/*!*******************************************************!*\
  !*** ./api/navigation/setNavigationBarRightButton.js ***!
  \*******************************************************/
/*! exports provided: setNavigationBarRightButton */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"setNavigationBarRightButton\", function() { return setNavigationBarRightButton; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.setNavigationBarRightButton\";\r\n\r\nfunction setNavigationBarRightButton(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  watch: true, \r\n  show: true,\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\r\n\n\n//# sourceURL=webpack://sp/./api/navigation/setNavigationBarRightButton.js?");

/***/ }),

/***/ "./api/navigation/setNavigationBarTitle.js":
/*!*************************************************!*\
  !*** ./api/navigation/setNavigationBarTitle.js ***!
  \*************************************************/
/*! exports provided: setNavigationBarTitle */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"setNavigationBarTitle\", function() { return setNavigationBarTitle; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.setNavigationBarTitle\";\r\n\r\nfunction setNavigationBarTitle(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/setNavigationBarTitle.js?");

/***/ }),

/***/ "./api/navigation/showNavigationBar.js":
/*!*********************************************!*\
  !*** ./api/navigation/showNavigationBar.js ***!
  \*********************************************/
/*! exports provided: showNavigationBar */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"showNavigationBar\", function() { return showNavigationBar; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.showNavigationBar\";\r\n\r\nfunction showNavigationBar(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/showNavigationBar.js?");

/***/ }),

/***/ "./api/navigation/updateTitleRightView.js":
/*!************************************************!*\
  !*** ./api/navigation/updateTitleRightView.js ***!
  \************************************************/
/*! exports provided: updateTitleRightView */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"updateTitleRightView\", function() { return updateTitleRightView; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"navigation.updateTitleRightView\";\r\n\r\nfunction updateTitleRightView(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/navigation/updateTitleRightView.js?");

/***/ }),

/***/ "./api/network/uploadFile.js":
/*!***********************************!*\
  !*** ./api/network/uploadFile.js ***!
  \***********************************/
/*! exports provided: uploadFile */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"uploadFile\", function() { return uploadFile; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"network.uploadFile\";\r\n\r\nfunction uploadFile(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n    timeout:60000\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/network/uploadFile.js?");

/***/ }),

/***/ "./api/network/uploadOssFile.js":
/*!**************************************!*\
  !*** ./api/network/uploadOssFile.js ***!
  \**************************************/
/*! exports provided: uploadOssFile */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"uploadOssFile\", function() { return uploadOssFile; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"network.uploadOssFile\";\r\n\r\nfunction uploadOssFile(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/network/uploadOssFile.js?");

/***/ }),

/***/ "./api/other/appShare.js":
/*!*******************************!*\
  !*** ./api/other/appShare.js ***!
  \*******************************/
/*! exports provided: appShare */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"appShare\", function() { return appShare; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.appShare\";\r\n\r\nfunction appShare(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/appShare.js?");

/***/ }),

/***/ "./api/other/goBackConfirm.js":
/*!************************************!*\
  !*** ./api/other/goBackConfirm.js ***!
  \************************************/
/*! exports provided: goBackConfirm */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"goBackConfirm\", function() { return goBackConfirm; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.goBackConfirm\";\r\n\r\nfunction goBackConfirm(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/goBackConfirm.js?");

/***/ }),

/***/ "./api/other/mediaPlay.js":
/*!********************************!*\
  !*** ./api/other/mediaPlay.js ***!
  \********************************/
/*! exports provided: mediaPlay */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mediaPlay\", function() { return mediaPlay; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"media.mediaPlay\";\r\n\r\nfunction mediaPlay(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/mediaPlay.js?");

/***/ }),

/***/ "./api/other/nativeEvent.js":
/*!**********************************!*\
  !*** ./api/other/nativeEvent.js ***!
  \**********************************/
/*! exports provided: nativeEvent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"nativeEvent\", function() { return nativeEvent; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.nativeEvent\";\r\n\r\nfunction nativeEvent(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/nativeEvent.js?");

/***/ }),

/***/ "./api/other/resetData.js":
/*!********************************!*\
  !*** ./api/other/resetData.js ***!
  \********************************/
/*! exports provided: resetData */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"resetData\", function() { return resetData; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.resetData\";\r\n\r\nfunction resetData(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/resetData.js?");

/***/ }),

/***/ "./api/other/selectEnterprise.js":
/*!***************************************!*\
  !*** ./api/other/selectEnterprise.js ***!
  \***************************************/
/*! exports provided: selectEnterprise */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"selectEnterprise\", function() { return selectEnterprise; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.selectEnterprise\";\r\n\r\nfunction selectEnterprise(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/selectEnterprise.js?");

/***/ }),

/***/ "./api/other/showKeyboard.js":
/*!***********************************!*\
  !*** ./api/other/showKeyboard.js ***!
  \***********************************/
/*! exports provided: showKeyboard */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"showKeyboard\", function() { return showKeyboard; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.showKeyboard\";\r\n\r\nfunction showKeyboard(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/showKeyboard.js?");

/***/ }),

/***/ "./api/other/startMediaPlay.js":
/*!*************************************!*\
  !*** ./api/other/startMediaPlay.js ***!
  \*************************************/
/*! exports provided: startMediaPlay */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"startMediaPlay\", function() { return startMediaPlay; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"media.startMediaPlay\";\r\n\r\nfunction startMediaPlay(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/startMediaPlay.js?");

/***/ }),

/***/ "./api/other/stopMediaPlay.js":
/*!************************************!*\
  !*** ./api/other/stopMediaPlay.js ***!
  \************************************/
/*! exports provided: stopMediaPlay */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"stopMediaPlay\", function() { return stopMediaPlay; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"media.stopMediaPlay\";\r\n\r\nfunction stopMediaPlay(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/stopMediaPlay.js?");

/***/ }),

/***/ "./api/other/toInvitation.js":
/*!***********************************!*\
  !*** ./api/other/toInvitation.js ***!
  \***********************************/
/*! exports provided: toInvitation */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toInvitation\", function() { return toInvitation; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.toInvitation\";\r\n\r\nfunction toInvitation(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/toInvitation.js?");

/***/ }),

/***/ "./api/other/toLogin.js":
/*!******************************!*\
  !*** ./api/other/toLogin.js ***!
  \******************************/
/*! exports provided: toLogin */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toLogin\", function() { return toLogin; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.toLogin\";\r\n\r\nfunction toLogin(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/toLogin.js?");

/***/ }),

/***/ "./api/other/toMicro.js":
/*!******************************!*\
  !*** ./api/other/toMicro.js ***!
  \******************************/
/*! exports provided: toMicro */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toMicro\", function() { return toMicro; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.toMicro\";\r\n\r\nfunction toMicro(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/toMicro.js?");

/***/ }),

/***/ "./api/other/toMicroDetail.js":
/*!************************************!*\
  !*** ./api/other/toMicroDetail.js ***!
  \************************************/
/*! exports provided: toMicroDetail */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"toMicroDetail\", function() { return toMicroDetail; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"local.toMicroDetail\";\r\n\r\nfunction toMicroDetail(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/other/toMicroDetail.js?");

/***/ }),

/***/ "./api/util/scan.js":
/*!**************************!*\
  !*** ./api/util/scan.js ***!
  \**************************/
/*! exports provided: scan */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"scan\", function() { return scan; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"util.scan\";\r\n\r\nfunction scan(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  title: \"\",\r\n  buttonLabels: [\"确定\", \"取消\"],\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/util/scan.js?");

/***/ }),

/***/ "./api/video/chooseVideo.js":
/*!**********************************!*\
  !*** ./api/video/chooseVideo.js ***!
  \**********************************/
/*! exports provided: chooseVideo */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"chooseVideo\", function() { return chooseVideo; });\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../lib/apiHelper */ \"./lib/apiHelper.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../lib/env */ \"./lib/env.js\");\n\r\n\r\n\r\n\r\nconst apiName = \"video.chooseVideo\";\r\n\r\nfunction chooseVideo(params) {\r\n  return _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].invokeAPI(apiName, params);\r\n}\r\n\r\nconst paramsDeal = _lib_apiHelper__WEBPACK_IMPORTED_MODULE_1__[\"apiHelper\"].genDefaultParamsDealFn({\r\n  sourceType:\"album\",//album、camera\r\n  sizeType:\"compressed\",//original、compressed（默认按中等质量压缩）\r\n  count: 1,\r\n  maxDuration:60,//sourceType为camera时，最长录像时间\r\n});\r\n\r\nconst config = {};\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android] = { paramsDeal: paramsDeal };\r\nconfig[_lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios] = { paramsDeal: paramsDeal };\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setAPI(apiName, config);\n\n//# sourceURL=webpack://sp/./api/video/chooseVideo.js?");

/***/ }),

/***/ "./entry/mobile.js":
/*!*************************!*\
  !*** ./entry/mobile.js ***!
  \*************************/
/*! exports provided: spSdk */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _platform_android__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../platform/android */ \"./platform/android.js\");\n/* harmony import */ var _platform_ios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../platform/ios */ \"./platform/ios.js\");\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"spSdk\", function() { return _lib_spSdk__WEBPACK_IMPORTED_MODULE_2__[\"spSdk\"]; });\n\n\r\n\r\n\r\n\r\n\n\n//# sourceURL=webpack://sp/./entry/mobile.js?");

/***/ }),

/***/ "./index.js":
/*!******************!*\
  !*** ./index.js ***!
  \******************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _entry_mobile__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./entry/mobile */ \"./entry/mobile.js\");\n/* harmony import */ var _api_apiObject__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./api/apiObject */ \"./api/apiObject.js\");\n// import spSdk from './entry/mobile'\r\n// import apiObj from './api/apiObject'\r\n\r\n// var sp=Object.assign({},spSdk,apiObj)\r\n\r\n// export default sp\r\n\r\n\r\n\r\n\r\n\r\n/* harmony default export */ __webpack_exports__[\"default\"] = ({..._entry_mobile__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].getExportSdk(),..._api_apiObject__WEBPACK_IMPORTED_MODULE_1__[\"apiObj\"]});\r\n\r\n\r\n\n\n//# sourceURL=webpack://sp/./index.js?");

/***/ }),

/***/ "./lib/apiHelper.js":
/*!**************************!*\
  !*** ./lib/apiHelper.js ***!
  \**************************/
/*! exports provided: apiHelper */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"apiHelper\", function() { return apiHelper; });\nconst apiHelper = {\r\n  genDefaultParamsDealFn: (params) => {\r\n    var p = Object.assign({}, params);\r\n    return function (para) {\r\n      return Object.assign({}, p, para);\r\n    };\r\n  },\r\n};\r\n\n\n//# sourceURL=webpack://sp/./lib/apiHelper.js?");

/***/ }),

/***/ "./lib/bridge/dsBridge.js":
/*!********************************!*\
  !*** ./lib/bridge/dsBridge.js ***!
  \********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("var bridge = {\r\n    default:this,// for typescript\r\n    call: function (method, args, cb) {\r\n        var ret = '';\r\n        if (typeof args == 'function') {\r\n            cb = args;\r\n            args = {};\r\n        }\r\n        var arg={data:args===undefined?null:args}\r\n        if (typeof cb == 'function') {\r\n            var cbName = 'dscb' + window.dscb++;\r\n            window[cbName] = cb;\r\n            arg['_dscbstub'] = cbName;\r\n        }\r\n        arg = JSON.stringify(arg)\r\n\r\n        //if in webview that dsBridge provided, call!\r\n        if(window._dsbridge){\r\n           ret=  _dsbridge.call(method, arg)\r\n        }\r\n        else if(window._dswk||navigator.userAgent.indexOf(\"_dsbridge\")!=-1){\r\n           ret = prompt(\"_dsbridge=\" + method, arg);\r\n        }\r\n        \r\n       return  JSON.parse(ret||'{}').data\r\n    },\r\n    register: function (name, fun, asyn) {\r\n        var q = asyn ? window._dsaf : window._dsf\r\n        if (!window._dsInit) {\r\n            window._dsInit = true;\r\n            //notify native that js apis register successfully on next event loop\r\n            setTimeout(function () {\r\n                bridge.call(\"_dsb.dsinit\");\r\n            }, 0)\r\n        }\r\n        if (typeof fun == \"object\") {\r\n            q._obs[name] = fun;\r\n        } else {\r\n            q[name] = fun\r\n        }\r\n    },\r\n    registerAsyn: function (name, fun) {\r\n        this.register(name, fun, true);\r\n    },\r\n    hasNativeMethod: function (name, type) {\r\n        return this.call(\"_dsb.hasNativeMethod\", {name: name, type:type||\"all\"});\r\n    },\r\n    disableJavascriptDialogBlock: function (disable) {\r\n        this.call(\"_dsb.disableJavascriptDialogBlock\", {\r\n            disable: disable !== false\r\n        })\r\n    }\r\n};\r\n\r\n!function () {\r\n    if (window._dsf) return;\r\n    var ob = {\r\n        _dsf: {\r\n            _obs: {}\r\n        },\r\n        _dsaf: {\r\n            _obs: {}\r\n        },\r\n        dscb: 0,\r\n        dsBridge: bridge,\r\n        close: function () {\r\n            bridge.call(\"_dsb.closePage\")\r\n        },\r\n        _handleMessageFromNative: function (info) {\r\n            var arg = JSON.parse(info.data);\r\n            var ret = {\r\n                id: info.callbackId,\r\n                complete: true\r\n            }\r\n            var f = this._dsf[info.method];\r\n            var af = this._dsaf[info.method]\r\n            var callSyn = function (f, ob) {\r\n                ret.data = f.apply(ob, arg)\r\n                bridge.call(\"_dsb.returnValue\", ret)\r\n            }\r\n            var callAsyn = function (f, ob) {\r\n                arg.push(function (data, complete) {\r\n                    ret.data = data;\r\n                    ret.complete = complete!==false;\r\n                    bridge.call(\"_dsb.returnValue\", ret)\r\n                })\r\n                f.apply(ob, arg)\r\n            }\r\n            if (f) {\r\n                callSyn(f, this._dsf);\r\n            } else if (af) {\r\n                callAsyn(af, this._dsaf);\r\n            } else {\r\n                //with namespace\r\n                var name = info.method.split('.');\r\n                if (name.length<2) return;\r\n                var method=name.pop();\r\n                var namespace=name.join('.')\r\n                var obs = this._dsf._obs;\r\n                var ob = obs[namespace] || {};\r\n                var m = ob[method];\r\n                if (m && typeof m == \"function\") {\r\n                    callSyn(m, ob);\r\n                    return;\r\n                }\r\n                obs = this._dsaf._obs;\r\n                ob = obs[namespace] || {};\r\n                m = ob[method];\r\n                if (m && typeof m == \"function\") {\r\n                    callAsyn(m, ob);\r\n                    return;\r\n                }\r\n            }\r\n        }\r\n    }\r\n    for (var attr in ob) {\r\n        window[attr] = ob[attr]\r\n    }\r\n    bridge.register(\"_hasJavascriptMethod\", function (method, tag) {\r\n         var name = method.split('.')\r\n         if(name.length<2) {\r\n           return !!(_dsf[name]||_dsaf[name])\r\n         }else{\r\n           // with namespace\r\n           var method=name.pop()\r\n           var namespace=name.join('.')\r\n           var ob=_dsf._obs[namespace]||_dsaf._obs[namespace]\r\n           return ob&&!!ob[method]\r\n         }\r\n    })\r\n}();\r\n\r\nmodule.exports = bridge;\n\n//# sourceURL=webpack://sp/./lib/bridge/dsBridge.js?");

/***/ }),

/***/ "./lib/bridge/h5Android.js":
/*!*********************************!*\
  !*** ./lib/bridge/h5Android.js ***!
  \*********************************/
/*! exports provided: h5AndroidbridgeInit, h5AndroidBridge, on, off */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"h5AndroidbridgeInit\", function() { return h5AndroidbridgeInit; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"h5AndroidBridge\", function() { return h5AndroidBridge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"on\", function() { return on; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"off\", function() { return off; });\n/* harmony import */ var _dsBridge__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./dsBridge */ \"./lib/bridge/dsBridge.js\");\n/* harmony import */ var _dsBridge__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_dsBridge__WEBPACK_IMPORTED_MODULE_0__);\n\r\n\r\nlet h5BridgeReadyPromise;\r\n\r\nfunction h5AndroidbridgeInit() {\r\n  return (\r\n    h5BridgeReadyPromise ||\r\n      (h5BridgeReadyPromise = new Promise(function (resolve, reject) {\r\n        var initial = function () {\r\n          try {\r\n            window.dsBridge.isReady = true;\r\n            window.dsBridge =\r\n              window.dsBridge;\r\n            resolve();\r\n          } catch (e) {\r\n            reject(e);\r\n          }\r\n        };\r\n        var interval=setInterval(() => {\r\n          if(!window.dsBridge ||!window.dsBridge.isReady){\r\n            initial()\r\n          }else{\r\n            clearInterval(interval);\r\n          }\r\n        }, 100);\r\n      })),\r\n    h5BridgeReadyPromise\r\n  );\r\n}\r\n\r\nfunction h5AndroidBridge(method, params) {\r\n  return (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5AndroidbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      return new Promise(function (resolve, reject) {\r\n        var successCallback = function (e) {\r\n          \"function\" == typeof params.onSuccess && params.onSuccess(e),\r\n            resolve(e);\r\n        };\r\n        var failCallback = function (e) {\r\n          \"function\" == typeof params.onFail && params.onFail(e), reject(e);\r\n        };\r\n        window.dsBridge.call(\r\n          method,\r\n          params,\r\n          function (response) {\r\n            if (typeof response == \"string\") {\r\n              response = JSON.parse(response);\r\n            }\r\n            if (response.isError) {\r\n              failCallback(response.error);\r\n            } else {\r\n              successCallback(response.result);\r\n            }\r\n          }\r\n        );\r\n      });\r\n    })\r\n  );\r\n}\r\n\r\nfunction on(eventName, listener) {\r\n  (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5AndroidbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      window.dsBridge.call(eventName,null,function(res){\r\n        window.dsBridge.register(eventName,listener);\r\n      });\r\n    })\r\n  )\r\n}\r\nfunction off(eventName, listener) {\r\n  (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5AndroidbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      window.dsBridge.call(\"off.\"+eventName,null,function(res){\r\n        delete window.dsBridge._dsaf[eventName];\r\n      });\r\n    })\r\n  )\r\n}\r\n\n\n//# sourceURL=webpack://sp/./lib/bridge/h5Android.js?");

/***/ }),

/***/ "./lib/bridge/h5iOS.js":
/*!*****************************!*\
  !*** ./lib/bridge/h5iOS.js ***!
  \*****************************/
/*! exports provided: h5IOSbridgeInit, h5IOSBridge, on, off */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"h5IOSbridgeInit\", function() { return h5IOSbridgeInit; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"h5IOSBridge\", function() { return h5IOSBridge; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"on\", function() { return on; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"off\", function() { return off; });\n/* harmony import */ var _dsBridge__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./dsBridge */ \"./lib/bridge/dsBridge.js\");\n/* harmony import */ var _dsBridge__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_dsBridge__WEBPACK_IMPORTED_MODULE_0__);\n\r\n\r\nlet h5BridgeReadyPromise;\r\n\r\nfunction h5IOSbridgeInit() {\r\n  return (\r\n    h5BridgeReadyPromise ||\r\n      (h5BridgeReadyPromise = new Promise(function (resolve, reject) {\r\n        var initial = function () {\r\n          try {\r\n            window.dsBridge.isReady = true;\r\n            window.dsBridge =\r\n              window.dsBridge;\r\n            resolve();\r\n          } catch (e) {\r\n            reject(e);\r\n          }\r\n        };\r\n        var interval=setInterval(() => {\r\n          if(!window.dsBridge ||!window.dsBridge.isReady){\r\n            initial()\r\n          }else{\r\n            clearInterval(interval);\r\n          }\r\n        }, 100);\r\n      })),\r\n    h5BridgeReadyPromise\r\n  );\r\n}\r\n\r\nfunction h5IOSBridge(method, params) {\r\n  return (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5IOSbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      return new Promise(function (resolve, reject) {\r\n        if (params.watch) {\r\n          var onSuccess = params.onSuccess;\r\n          delete params.onSuccess;\r\n          window.dsBridge.registerAsyn(method, function (\r\n            data,\r\n            responseCallback\r\n          ) {\r\n            onSuccess.call(null, data);\r\n            responseCallback({ result: \"ok\" });\r\n          });\r\n        }\r\n\r\n        var successCallback = function (e) {\r\n          \"function\" == typeof params.onSuccess && params.onSuccess(e),\r\n            resolve(e);\r\n        };\r\n        var failCallback = function (e) {\r\n          \"function\" == typeof params.onFail && params.onFail(e), reject(e);\r\n        };\r\n        window.dsBridge.call(\r\n          method,\r\n          params,\r\n          function (response) {\r\n            if (typeof response == \"string\") {\r\n              response = JSON.parse(response);\r\n            }\r\n            if (response.isError) {\r\n              failCallback(response.error);\r\n            } else {\r\n              successCallback(response.result);\r\n            }\r\n          }\r\n        );\r\n      });\r\n    })\r\n  );\r\n}\r\n\r\nfunction on(eventName, listener) {\r\n  (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5IOSbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      window.dsBridge.call(eventName,null,function(res){\r\n        window.dsBridge.registerAsyn(eventName,listener);\r\n      });\r\n    })\r\n  )\r\n}\r\nfunction off(eventName, listener) {\r\n  (\r\n    h5BridgeReadyPromise || (h5BridgeReadyPromise = h5IOSbridgeInit()),\r\n    h5BridgeReadyPromise.then(function () {\r\n      window.dsBridge.call(\"off.\"+eventName,null,function(res){\r\n        delete window.dsBridge._dsaf[eventName];\r\n      });\r\n    })\r\n  )\r\n}\r\n\n\n//# sourceURL=webpack://sp/./lib/bridge/h5iOS.js?");

/***/ }),

/***/ "./lib/env.js":
/*!********************!*\
  !*** ./lib/env.js ***!
  \********************/
/*! exports provided: env */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"env\", function() { return env; });\nvar ENV_ENUM = {\r\n  ios: \"ios\",\r\n  android: \"android\",\r\n  web: \"web\",\r\n};\r\n\r\nfunction getUA() {\r\n  var ua = \"\";\r\n  try {\r\n    \"undefined\" != typeof navigator &&\r\n      (ua = (navigator && (navigator.userAgent || navigator.swuserAgent)) || \"\");\r\n  } catch (i) {\r\n    ua = \"\";\r\n  }\r\n  return ua;\r\n}\r\n\r\nfunction getENV() {\r\n  var ua = getUA();\r\n  var ios = /iOS_App/i.test(ua);\r\n  var android = /Android_App/i.test(ua);\r\n  // var android = /Android/i.test(ua);\r\n  var platform;\r\n  if (ios) platform = ENV_ENUM.ios;\r\n  else if (android) platform = ENV_ENUM.android;\r\n  else platform=ENV_ENUM.web;\r\n  \r\n  return { platform: platform };\r\n}\r\n\r\nconst env= {\r\n  ENV_ENUM,\r\n  getUA,\r\n  getENV,\r\n};\r\n\n\n//# sourceURL=webpack://sp/./lib/env.js?");

/***/ }),

/***/ "./lib/log.js":
/*!********************!*\
  !*** ./lib/log.js ***!
  \********************/
/*! exports provided: log */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"log\", function() { return log; });\nfunction spreadArrays() {\r\n  for (var e = 0, r = 0, t = arguments.length; r < t; r++)\r\n    e += arguments[r].length;\r\n  for (var s = Array(e), n = 0, r = 0; r < t; r++)\r\n    for (var o = arguments[r], a = 0, u = o.length; a < u; a++, n++)\r\n      s[n] = o[a];\r\n  return s;\r\n}\r\n\r\nfunction padNumber(e) {\r\n  return (e = \"00\" + e), e.substring(e.length - 2, e.length);\r\n}\r\n\r\nconst log = {\r\n  log: (e) => {\r\n    console.log.apply(\r\n      console,\r\n      spreadArrays(\r\n        [\r\n          padNumber(e.time.getHours()) +\r\n            \":\" +\r\n            padNumber(e.time.getMinutes()) +\r\n            \":\" +\r\n            padNumber(e.time.getSeconds()),\r\n        ],\r\n        e.text\r\n      )\r\n    );\r\n  },\r\n};\r\n\n\n//# sourceURL=webpack://sp/./lib/log.js?");

/***/ }),

/***/ "./lib/sdk/index.js":
/*!**************************!*\
  !*** ./lib/sdk/index.js ***!
  \**************************/
/*! exports provided: Sdk */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Sdk\", function() { return Sdk; });\nclass Sdk {\r\n  constructor(env, logFun) {\r\n    var sdk = this;\r\n    this.env = env;\r\n    this.invokeAPIConfigMapByMethod = {};\r\n    this.bridgeInitFnPromise;\r\n    this.platformConfigMap = {};\r\n    this.exportSdk = {\r\n      _invoke: (method, params) => {\r\n        return this.invokeAPI(method, params, false);\r\n      },\r\n\r\n      on: function (eventName, listener) {\r\n        sdk.bridgeInitFn().then(function () {\r\n          sdk.platformConfigMap[sdk.env.platform].event.on(eventName, listener);\r\n        });\r\n      },\r\n      off: function (eventName, listener) {\r\n        sdk.bridgeInitFn().then(function () {\r\n          sdk.platformConfigMap[sdk.env.platform].event.off(eventName, listener);\r\n        });\r\n      },\r\n    };\r\n\r\n    this.bridgeInitFn = function () {\r\n      if (this.bridgeInitFnPromise) {\r\n        return this.bridgeInitFnPromise;\r\n      }\r\n      let platform = this.platformConfigMap[this.env.platform];\r\n      if (platform) {\r\n        this.bridgeInitFnPromise = platform.bridgeInit().catch((e) => {\r\n          this.customLog(\"JsBridge initialization fails, jsapi will not work\");\r\n          Promise.reject(e);\r\n        });\r\n      } else {\r\n        let log =\r\n          \"Do not support the current environment：\" + this.env.platform;\r\n        this.customLog(log);\r\n      }\r\n      return this.bridgeInitFnPromise;\r\n    };\r\n\r\n    this.customLog = function (text) {\r\n      var n = { text: [text], time: new Date() };\r\n      logFun(n);\r\n    };\r\n  }\r\n\r\n  setPlatform(platformConfig) {\r\n    this.platformConfigMap[platformConfig.platform] = platformConfig;\r\n    if (this.env.platform === platformConfig.platform) {\r\n      platformConfig.bridgeInit().catch((e) => {\r\n        this.customLog(\"auto bridgeInit error\");\r\n      });\r\n    }\r\n  }\r\n  setAPI(method, config) {\r\n    this.invokeAPIConfigMapByMethod[method] = config;\r\n  }\r\n  invokeAPI(method, params) {\r\n    return this.bridgeInitFn().then((bridge) => {\r\n      var config = this.invokeAPIConfigMapByMethod[method];\r\n      if (config) {\r\n        let paramsDealFun =\r\n          config[this.env.platform] && config[this.env.platform].paramsDeal;\r\n        let p = paramsDealFun(params);\r\n        return bridge(method, p);\r\n      } else {\r\n        var log =\r\n          \"This API method is not configured for the platform (\" +\r\n          this.env.platform +\r\n          \")\";\r\n        this.customLog(log);\r\n        reject(log);\r\n      }\r\n    });\r\n  }\r\n\r\n  getExportSdk() {\r\n    return this.exportSdk;\r\n  }\r\n}\r\n\n\n//# sourceURL=webpack://sp/./lib/sdk/index.js?");

/***/ }),

/***/ "./lib/spSdk.js":
/*!**********************!*\
  !*** ./lib/spSdk.js ***!
  \**********************/
/*! exports provided: spSdk */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"spSdk\", function() { return spSdk; });\n/* harmony import */ var _sdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./sdk */ \"./lib/sdk/index.js\");\n/* harmony import */ var _env__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./env */ \"./lib/env.js\");\n/* harmony import */ var _log__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./log */ \"./lib/log.js\");\n\r\n\r\n\r\n\r\nconst spSdk=new _sdk__WEBPACK_IMPORTED_MODULE_0__[\"Sdk\"](_env__WEBPACK_IMPORTED_MODULE_1__[\"env\"].getENV(),_log__WEBPACK_IMPORTED_MODULE_2__[\"log\"].log)\n\n//# sourceURL=webpack://sp/./lib/spSdk.js?");

/***/ }),

/***/ "./platform/android.js":
/*!*****************************!*\
  !*** ./platform/android.js ***!
  \*****************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_sdk__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../lib/sdk */ \"./lib/sdk/index.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../lib/env */ \"./lib/env.js\");\n/* harmony import */ var _lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../lib/bridge/h5Android */ \"./lib/bridge/h5Android.js\");\n\r\n\r\n\r\n\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setPlatform({\r\n  platform: _lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.android,\r\n  bridgeInit: function () {\r\n    return Object(_lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"h5AndroidbridgeInit\"])().then(() => {\r\n      return _lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"h5AndroidBridge\"];\r\n    });\r\n  },\r\n  event: {\r\n    on: function (eventName, listener) {\r\n      return Object(_lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"h5AndroidbridgeInit\"])().then(() => {\r\n        Object(_lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"on\"])(eventName, listener);\r\n      });\r\n    },\r\n    off: function (eventName, listener) {\r\n      return Object(_lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"h5AndroidbridgeInit\"])().then(() => {\r\n        Object(_lib_bridge_h5Android__WEBPACK_IMPORTED_MODULE_3__[\"off\"])(eventName, listener);\r\n      });\r\n    },\r\n  },\r\n});\r\n\n\n//# sourceURL=webpack://sp/./platform/android.js?");

/***/ }),

/***/ "./platform/ios.js":
/*!*************************!*\
  !*** ./platform/ios.js ***!
  \*************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _lib_spSdk__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib/spSdk */ \"./lib/spSdk.js\");\n/* harmony import */ var _lib_sdk__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../lib/sdk */ \"./lib/sdk/index.js\");\n/* harmony import */ var _lib_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../lib/env */ \"./lib/env.js\");\n/* harmony import */ var _lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../lib/bridge/h5iOS */ \"./lib/bridge/h5iOS.js\");\n\r\n\r\n\r\n\r\n\r\n_lib_spSdk__WEBPACK_IMPORTED_MODULE_0__[\"spSdk\"].setPlatform({\r\n  platform: _lib_env__WEBPACK_IMPORTED_MODULE_2__[\"env\"].ENV_ENUM.ios,\r\n  bridgeInit: function () {\r\n    return Object(_lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"h5IOSbridgeInit\"])().then(() => {\r\n      return _lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"h5IOSBridge\"];\r\n    });\r\n  },\r\n  event: {\r\n    on: function (eventName, listener) {\r\n      return Object(_lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"h5IOSbridgeInit\"])().then(() => {\r\n        Object(_lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"on\"])(eventName, listener);\r\n      });\r\n    },\r\n    off: function (eventName, listener) {\r\n      return Object(_lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"h5IOSbridgeInit\"])().then(() => {\r\n        Object(_lib_bridge_h5iOS__WEBPACK_IMPORTED_MODULE_3__[\"off\"])(eventName, listener);\r\n      });\r\n    },\r\n  },\r\n});\r\n\n\n//# sourceURL=webpack://sp/./platform/ios.js?");

/***/ })

/******/ })["default"];
});